summaryrefslogtreecommitdiff
path: root/tests/suite/testdane.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/suite/testdane.sh')
-rwxr-xr-xtests/suite/testdane.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/suite/testdane.sh b/tests/suite/testdane.sh
index 1dd2d90700..5bef05dfa7 100755
--- a/tests/suite/testdane.sh
+++ b/tests/suite/testdane.sh
@@ -22,6 +22,10 @@ srcdir="${srcdir:-.}"
DANETOOL="${DANETOOL:-../../src/danetool${EXEEXT}}"
unset RETCODE
+if ! test -x "${DANETOOL}"; then
+ exit 77
+fi
+
# Unfortunately it is extremely fragile and fails 99% of the
# time.
if test "${WINDIR}" != ""; then